diff --git a/libavcodec/bitpacked_dec.c b/libavcodec/bitpacked_dec.c
index 96aba27..c51479d 100644
--- a/libavcodec/bitpacked_dec.c
+++ b/libavcodec/bitpacked_dec.c
@@ -30,6 +30,7 @@
 #include "codec_internal.h"
 #include "libavutil/imgutils.h"
 #include "thread.h"
+#include "libavutil/timer.h"
 
 struct BitpackedContext {
     int (*decode)(AVCodecContext *avctx, AVFrame *frame,
@@ -68,6 +69,8 @@ static int bitpacked_decode_yuv422p10(AVCodecContext *avctx, AVFrame *frame,
     uint16_t *y, *u, *v;
     int ret, i, j;
 
+
+
     ret = ff_thread_get_buffer(avctx, frame, 0);
     if (ret < 0)
         return ret;
@@ -77,7 +80,8 @@ static int bitpacked_decode_yuv422p10(AVCodecContext *avctx, AVFrame *frame,
 
     if (avctx->width % 2)
         return AVERROR_PATCHWELCOME;
-
+    {
+    START_TIMER
     src = avpkt->data;
     for (i = 0; i < avctx->height; i++) {
         y = (uint16_t*)(frame->data[0] + i * frame->linesize[0]);
@@ -93,6 +97,8 @@ static int bitpacked_decode_yuv422p10(AVCodecContext *avctx, AVFrame *frame,
         }
     }
 
+    STOP_TIMER("bitpacked_dec")
+    }
     return 0;
 }
 
